summaryrefslogtreecommitdiff
path: root/dev-python/pytest-httpserver/pytest-httpserver-1.0.5.ebuild
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-07-31 06:41:22 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-07-31 06:41:22 +0000
commita74cc240b255b212cea4ff5e953335173a7910a8 (patch)
tree7c5f4435347511b93d62a99b6b3fa428cbb1cce3 /dev-python/pytest-httpserver/pytest-httpserver-1.0.5.ebuild
parent5faf888e4b385d5147183ce20e4b911256d61d23 (diff)
downloadbaldeagleos-repo-a74cc240b255b212cea4ff5e953335173a7910a8.tar.gz
baldeagleos-repo-a74cc240b255b212cea4ff5e953335173a7910a8.tar.xz
baldeagleos-repo-a74cc240b255b212cea4ff5e953335173a7910a8.zip
Adding metadata
Diffstat (limited to 'dev-python/pytest-httpserver/pytest-httpserver-1.0.5.ebuild')
-rw-r--r--dev-python/pytest-httpserver/pytest-httpserver-1.0.5.ebuild39
1 files changed, 39 insertions, 0 deletions
diff --git a/dev-python/pytest-httpserver/pytest-httpserver-1.0.5.ebuild b/dev-python/pytest-httpserver/pytest-httpserver-1.0.5.ebuild
new file mode 100644
index 000000000000..a5bc4d69fc8d
--- /dev/null
+++ b/dev-python/pytest-httpserver/pytest-httpserver-1.0.5.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=poetry
+PYTHON_COMPAT=( python3_{7,8,9,10} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="HTTP server for pytest to test HTTP clients"
+HOMEPAGE="https://github.com/csernazs/pytest-httpserver"
+SRC_URI="
+ https://github.com/csernazs/pytest-httpserver/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="dev-python/werkzeug[${PYTHON_USEDEP}]"
+BDEPEND="
+ test? (
+ dev-python/requests[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ sed -i -e '/^include = \[/,/\]/d' pyproject.toml || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ epytest -p no:localserver
+}